curl --request GET \
--url https://test.deribit.com/api/v2/private/get_transfers \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 7606,
"method": "private/get_transfers",
"params": {
"currency": "BTC",
"count": 10
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/get_transfers"
payload = {
"jsonrpc": "2.0",
"id": 7606,
"method": "private/get_transfers",
"params": {
"currency": "BTC",
"count": 10
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 7606,
method: 'private/get_transfers',
params: {currency: 'BTC', count: 10}
})
};
fetch('https://test.deribit.com/api/v2/private/get_transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 7606,
"result": {
"count": 2,
"data": [
{
"amount": 0.2,
"created_timestamp": 1550579457727,
"currency": "BTC",
"direction": "payment",
"id": 2,
"other_side": "2MzyQc5Tkik61kJbEpJV5D5H9VfWHZK9Sgy",
"state": "prepared",
"type": "user",
"updated_timestamp": 1550579457727
},
{
"amount": 0.3,
"created_timestamp": 1550579255800,
"currency": "BTC",
"direction": "payment",
"id": 1,
"other_side": "new_user_1_1",
"state": "confirmed",
"type": "subaccount",
"updated_timestamp": 1550579255800
}
]
}
}private/get_transfers
Retrieve the userβs transfers list. Returns a list of internal transfers between accounts, subaccounts, or to other users, including their status, amounts, and other relevant details.
π Related Article: Managing Transfers
Scope: wallet:read
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Number of requested items, default - 10, maximum - 1000
1 <= x <= 1000The offset for pagination, default - 0
10
Response
Success response
The JSON-RPC version (2.0)
2.0 Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Id of transfer
12
The timestamp (milliseconds since the Unix epoch)
1536569522277
Type of transfer: user - sent to user, subaccount - sent to subaccount
user, subaccount Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Amount of funds in given currency
1
For transfer from/to subaccount returns this subaccount name, for transfer to other account returns address, for transfer from other account returns that accounts username.
"Smith"
Transfer state, allowed values : prepared, confirmed, cancelled, waiting_for_admin, insufficient_funds, withdrawal_limit otherwise rejection reason
The timestamp (milliseconds since the Unix epoch)
1536569522277
Transfer direction
payment, income Optional idempotency nonce if provided in the request
Total number of results available
101
The id that was sent in the request
Was this page helpful?